Skip to main content
GET
/
contact-channels
List contact channels
curl --request GET \
  --url https://api.stack-auth.com/api/v1/contact-channels
{
  "items": [
    {
      "user_id": "3241a285-8329-4d69-8f3d-316e08cf140c",
      "id": "b3d396b8-c574-4c80-97b3-50031675ceb2",
      "value": "johndoe@example.com",
      "type": "email",
      "used_for_auth": true,
      "is_verified": true,
      "is_primary": true
    }
  ],
  "pagination": {
    "next_cursor": "b3d396b8-c574-4c80-97b3-50031675ceb2"
  }
}

Documentation Index

Fetch the complete documentation index at: https://stackauth-e0affa27-chore-move-mcp-to-a-sep-app.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

user_id
string

The ID of the user, or the special value me for the currently authenticated user

Example:

"3241a285-8329-4d69-8f3d-316e08cf140c"

contact_channel_id
string

Response

200 - application/json

Successful response

items
object[]
required
pagination
object